« なんか色々 | トップページ | 最初からクライマックスだぜっ! »

2007.12.22

Trac月1.5利用中の皆様へ

Trac月1.5がリリースされて、バックポート版のComplateUserも同梱になったのは先のエントリに書いた通り。

がしかし、1.4.6のころから使っている人には機能がデグレっちゃいますになってしまいますです。
というのは1.4.6の補完はIDだけでなくNAMEでも補完機能が働きますが、1.5に同梱になっているCompleteUserではIDのみからしか補完できません。一部で言及していましたが、それまでのTrac月と同じようにNAMEでも補完が出来るように改変したものがあったのですが、リポジトリにコミットが遅れて1.5には間に合いませんでした。

最新版のCompleteUserプラグインをShibuya.Tracを参考に最新版のComplateUserをご利用ください。

お手数おかけしますがよろしくお願いします。

ちなみにUpgradeやプラグインの導入に一番簡単な方法が easy_install を使う方法ですが、Trac月の環境ではexeが有りませんので以下の手順でUpgradeする必要があります。

Trac月のコマンドプロンプトから

cd ..\python\Scripts
python ez_setup.py -U setuptools

するとeasy_install.exeが同じディレクトリにできます。

これでeasy_installが利用できるので、

easy_install http://svn.sourceforge.jp/svnroot/shibuya-trac/plugins/completeuserplugin/branches/0.10

として簡単にアップグレードやインストールが出来るようになります。

|

« なんか色々 | トップページ | 最初からクライマックスだぜっ! »

Trac」カテゴリの記事

コメント

コメントを書く



(ウェブ上には掲載しません)


コメントは記事投稿者が公開するまで表示されません。



トラックバック


この記事へのトラックバック一覧です: Trac月1.5利用中の皆様へ:

« なんか色々 | トップページ | 最初からクライマックスだぜっ! »